var request = require('request');
var headers = {
  'Authorization': 'token ' + process.env.GITHUB_TOKEN,
  'User-Agent': 'node-request'
};

function create_option(repo) {
  return {
    url: 'https://api.github.com/user/repos',
    method: 'POST',
    body: JSON.stringify({name: repo}),
    headers: headers
  };
}

function destroy_option(repo) {
  return {
    url: 'https://api.github.com/repos/' + repo,
    method: 'DELETE',
    body: JSON.stringify({name: repo}),
    headers: headers
  };
}

function get_user_login_option() {
  return {
    url: 'https://api.github.com/user',
    method: 'GET',
    headers: headers
  };
}

function create(repo, callback) { 
  request(create_option(repo), callback);
};

function destroy (repo, callback) { 
  request(get_user_login_option(), function (e, r, b) {
    if(e) return;
    var user = JSON.parse(b).login;
    if(user) {
     request(destroy_option(user + '/' + repo), callback); 
    }
  });
}

module.exports = {
  create: create,
  destroy: destroy
}
